ZIP_GET_ARCHIVE_COMMENT(3)

NAME
zip_get_archive_comment - get zip archive comment

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

const char * zip_get_archive_comment(struct zip *archive, int *lenp, int flags);

DESCRIPTION
The zip_get_archive_comment function returns the comment for the entire zip archive. This pointer should not be modified or free(3) Ap d. If lenp is not NULL, the integer to which it points will be set to the length of the comment. If flags is set to ZIP_FL_UNCHANGED, the original unchanged comment is returned.

RETURN VALUES
Upon successful completion, a pointer to the comment is returned, or NULL if there is no comment.

SEE ALSO
libzip(3), zip_get_file_comment(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>